package com.bonus.canteen.core.drp.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class AndroidMaterialPageVO {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("原料/商品id")
   private Long materialId;
   @ApiModelProperty("原料/商品名称")
   private String materialName;
   @ApiModelProperty("编码")
   private String materialCode;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别")
   private String categoryName;
   @ApiModelProperty("类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("单价")
   private Integer salePrice;
   @ApiModelProperty("售卖类型(1按份2称重)")
   private Integer salesMode;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }
}
